Subject: Re: Looking to book appt on 3/6
From: "Pearl Klein. Alfonso" <[email-masked]>
To: Release Concierge <[email-masked]>
Cc: release <[email-masked]>
Date: Tue, 28 Feb 2023 08:17:13 -0700 (MST)

I was able to speak to Amanda and informed that we're fully booked for a massage in the morning of March 6. She said she will get in touch once she has a free time again. 

From: "Release Concierge" <[email-masked]> 
To: "release" <[email-masked]> 
Sent: Tuesday, February 28, 2023 10:45:45 PM 
Subject: Fwd: Looking to book appt on 3/6 

Can someone please follow-up? Thank you! 

---------- Forwarded message --------- 
From: Amanda Manteuffel < [ mailto:[email-masked] | [email-masked] ] > 
Date: Tue, Feb 28, 2023 at 9:44 AM 
Subject: Looking to book appt on 3/6 
To: < [ mailto:[email-masked] | [email-masked] ] > 

Hello! 
I was wondering if you had any openings for a mini day of release package (with massage) on Monday, March 6. Preferably in the morning. 

I can be reached at this email address or the cell number below. 

Many thanks, 
Amanda 

-- 
Amanda E. Manteuffel 
978-376-8414